
<!DOCTYPE html>
<html>
<head>
  <title>Ruby on Rails</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width">
  <style type="text/css" media="screen" charset="utf-8">
    body {
      font-family: Georgia, sans-serif;
      line-height: 2rem;
      font-size: 1.3rem;
      background-color: white;
      margin: 0;
      padding: 0;
      color: #000;
    }

    h1 {
      font-weight: normal;
      line-height: 2.8rem;
      font-size: 2.5rem;
      letter-spacing: -1px;
      color: black;
    }

    p { font-family: monospace; }

    table {
      border-collapse: collapse;
      border-spacing: 0;
      margin: 0;
      padding: 0;
      width: 100%;
      border: 1px solid #ccc;
      font-size: 0.9rem;
    }

    .container {
      max-width: 960px;
      margin: 0 auto 40px;
      overflow: hidden;
    }

    section {
      margin: 0 auto 2rem;
      padding: 1rem 0 0;
      text-align: center;
    }

    @media only screen and (max-width: 500px) {
      h1 { font-size: 2rem; }

      .version { font-size: 1.1rem; }
    }

    .welcome {
      width: 600px;
      max-width: 100%;
      height: auto;
    }
  </style>
</head>

<body>
  <div class="container">
    <section>
      <p>
        <a href="https://rubyonrails.org">
          <%= image_tag("rails.png", size: "130x46", alt: "Ruby on Rails") %>
        </a>
      </p>

      <h1>Yay! You&rsquo;re on Rails!</h1>
      <h1><%= "#{Rails.env.titleize} - #{ENV['DB_ENGINE'].titleize}" %></h1>

      <table>
        <% if ENV['DB_ENGINE'] != 'sqlite3' -%>
        <tr>
          <td>
            Database Host
          </td>
          <td>
            <%= @config[Rails.env]["host"] %>
          </td>
        </tr>
        <% end -%>
        <tr>
          <td>
            Database Name
          </td>
          <td>
            <%= @config[Rails.env]["database"] %>
          </td>
        </tr>
        <tr>
          <td>
            ENV["RAILS_LOG_TO_STDOUT"].present?
          </td>
          <td>
            <%= ENV["RAILS_LOG_TO_STDOUT"].present? %>
          </td>
        </tr>
        <tr>
          <td>
            ENV['RAILS_SERVE_STATIC_FILES'].present?
          </td>
          <td>
            <%= ENV['RAILS_SERVE_STATIC_FILES'].present? %>
          </td>
          <td>
            <%= "If you're using Nginx, and you see the images, well done!" if (not ENV['RAILS_SERVE_STATIC_FILES'].present? and (Rails.env == 'production' or Rails.env == 'staging')) %>
          </td>
        </tr>
        <tr>
          <td>
            HealthCheck:
          </td>
          <td>
            <%= link_to 'healthcheck', healthcheck_path %>
          </td>
        </tr>
        <tr>
          <td>
            DB Connected:
          </td>
          <td>
            <%= @db_connected ? 'True' : 'False' %>
          </td>
        </tr>
        <tr>
          <td>
            Sidekiq:
          </td>
          <td>
            <%= link_to 'new job', :new_sidekiq_job %> - 
            <%= link_to 'Sidekiq dashboard', :sidekiq_web %>
          </td>
        </tr>
      </table>
      <%= image_tag("welcome.png", size: "600x402",  alt: "Welcome") %>
    </section>
  </div>
</body>
</html>
